Subject: bug#20741: 24.4; flyspell doesn't work with abbreviations ending in a period

From: Reuben Thomas <[email-masked]>
Date: Mon, 14 Feb 2022 17:01:09 +0000

On Mon, 14 Feb 2022 at 16:42, Eli Zaretskii <[email-masked]> wrote:

> > From: Reuben Thomas <[email-masked]>
> >
> > I think we can distinguish 3 different problems here:
> >
> > 1. Natural language spellchecking. That's what this issue is about.
> > 2. Spell-checking code. (Essentially, identifiers.)
> > 3. Finding code inside natural language, and checking it as if it were
> code. (That's what you're talking about
> > here.) This is not a spellchecking problem, it's a problem of
> identifying which spell-checking apparatus to
> > use, rather like font-lock for multi-language buffers. It's hard to see
> how to do it without some syntactic clue
> > (e.g. the use of backticks in markdown), as used in multi-language
> buffers for font-locking.
>
> Anyway: what are the practical proposals for improving this?  Are we
> going to handle only periods, or does anyone have a more general
> solution?
>

Emacs does not currently try to handle case 3, as far as I know. That would
be a medium-sized project in its own right.

Case 2 depends on per-programming-language syntax tables, not on the
spellchecker. I don't know what the current arrangements for this are.

Case 1, on which everything else depends, is a matter of Emacs sending
stretches of text to the spell-checker, which currently (at least with
Hunspell) does not deal with punctuation very well, though there are plans
to improve Hunspell, according to the issue I linked to earlier.

None of these would benefit from special-casing treatment of the period or
any other character in ispell.el, I think.

-- 
https://rrt.sc3d.org